
Foreman - Bug #7139

Subnet name is unlimited length and not 255 chars

08/18/2014 12:47 PM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Ori Rabin   

Category: Database   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123815 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1711

  

Description

Most resource types use a string field for the name, so are limited to 255 characters.  Subnets use a text field, so have an unlimited

length, so should be changed to 255 characters.

Associated revisions

Revision 58825339 - 09/15/2014 05:00 AM - Ori Rabin

Fixes #7139: Subnet name is limited to 255 chars

History

#1 - 08/24/2014 07:49 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 08/24/2014 07:56 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1711 added

- Pull request deleted ()

#3 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#4 - 09/15/2014 05:03 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 588253394e2ed248512ee5b9bbdda5ea5efa7a62.

#5 - 09/15/2014 05:06 AM - Dominic Cleal

- translation missing: en.field_release set to 21
